Uploads
Upload From URL
Upload a media file from a public HTTPS URL.
POST
/
v1
/
upload-from-url
Upload From URL
curl --request POST \
--url https://api.turboads.ai/v1/upload-from-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/product-reference.png",
"project_id": "j97project123abc456def789"
}
'import requests
url = "https://api.turboads.ai/v1/upload-from-url"
payload = {
"url": "https://example.com/product-reference.png",
"project_id": "j97project123abc456def789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/product-reference.png',
project_id: 'j97project123abc456def789'
})
};
fetch('https://api.turboads.ai/v1/upload-from-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "k97file123abc456def789",
"name": "product-reference.png",
"path": "https://media.turboads.ai/workspaces/j57workspace123abc456def789/file-uploads/uuid/product-reference.png",
"workspace_id": "j57workspace123abc456def789",
"project_id": "j97project123abc456def789",
"file_type": "image",
"mime_type": "image/png",
"file_size": 482193,
"created_at": 1782225600000,
"updated_at": 1782225600000
}
}{
"error": {
"code": "invalid_request",
"message": "Required fields are missing or malformed."
}
}{
"error": {
"code": "unauthorized",
"message": "Missing, invalid, or revoked API key."
}
}{
"error": {
"code": "forbidden",
"message": "Project does not belong to this API key workspace."
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded."
},
"retry_after_ms": 1200
}{
"error": {
"code": "internal_error",
"message": "Something went wrong."
}
}Fetch a public HTTPS image or video URL and store it as a TurboAds file upload. The response includes an
Images can be up to
id and path that can be used as a reference in generation requests.
Accepted MIME types
| Type | MIME types |
|---|---|
| Images | image/jpeg, image/png, image/webp |
| Videos | video/mp4, video/quicktime, video/webm |
10MB. Videos can be up to 50MB.Authorizations
Your TurboAds API key
Body
application/json
Response
File uploaded successfully
Show child attributes
Show child attributes
Previous
Generate ImagesCreate one or more image generation jobs in an existing project. The API returns image IDs immediately; poll each ID for status.
Next
⌘I
Upload From URL

